Subject: bug#73381: Wayland leaves core dump in $HOME

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 20 Sep 2024 14:31:05 +0200

Hi Guix,

I've been having a weird experience for some while now.  Whenever I
reboot my system, I find a `core' file in my $HOME, which after some
while I found out to belong to XWayland 

$ file ~/core 
~/core: ELF 64-bit LSB core file, x86-64, version 1 (SYSV), SVR4-style, 
  from '/gnu/store/9hvjn76prgj2z4014q5b4z8l7z83yqsc-xorg-server-xwayland-23.2.5/bin/Xwa', 
  real uid: 1000, effective uid: 1000, real gid: 998, effective gid: 998, 
  execfn: '/gnu/store/9hvjn76prgj2z4014q5b4z8l7z83yqsc-xorg-server-xwayland-23.2.5/bin/Xwayland', 
  platform: 'x86_64'

Anyone have an idea as to what is happening here?  (On that note, which
team handles Mesa stuff?)

Cheers